plugins {
    id("java")
}

group = "io.gitlab.jfronny"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    val manifoldVersion = "2022.1.23"

    implementation("systems.manifold:manifold-props-rt:$manifoldVersion")

    testAnnotationProcessor(annotationProcessor("systems.manifold:manifold-ext:$manifoldVersion")!!)
    testAnnotationProcessor(annotationProcessor("systems.manifold:manifold-props:$manifoldVersion")!!)
    testAnnotationProcessor(annotationProcessor("systems.manifold:manifold-strings:$manifoldVersion")!!)
}

if (sourceSets.main.get().allJava.files.any {it.name == "module-info.java"}) {
    tasks.withType<JavaCompile> {
        options.compilerArgs.addAll(arrayOf("-Xplugin:Manifold no-bootstrap", "--module-path", classpath.asPath))
    }
} else {
    tasks.withType<JavaCompile> {
        options.compilerArgs.addAll(arrayOf("-Xplugin:Manifold no-bootstrap"))
    }
}